Get a site by ID
GET
/sites/{site_id}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/sites/example"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/sites/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wpengineapi.com/v1/sites/example \ --header 'Authorization: Basic <credentials>'Returns a single site
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” site_id
required
string format: uuid
The site ID
Responses
Section titled “ Responses ”Success
Media type application/json
object
id
required
string format: uuid
name
required
string
account
required
object
id
The account ID
string format: uuid
group_name
string
tags
Array<string>
created_at
The date and time the site was created in UTC
string format: date-time
sandbox
Whether the site is a sandbox site
boolean
transferable
Whether the site is transferable
boolean
installs
Array
object
id
string format: uuid
name
string
environment
string
cname
Returns the CNAME of the install
string
php_version
The PHP version used to run WordPress
string
is_multisite
boolean
Example
{ "id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d", "name": "Torque Magazine", "account": { "id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9" }, "group_name": "Overdue", "tags": [ "tag1", "tag2", "tag3" ], "created_at": "2025-07-10T09:59:58.684Z", "sandbox": false, "transferable": false, "installs": [ { "id": "294deacc-d8b8-4005-82c4-0727ba8ddde0", "name": "torquemag", "environment": "production", "cname": "mywebsite.wpengine.com", "php_version": "7.3", "is_multisite": false } ]}Authentication Error
Media type application/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "Bad Credentials"}Not authorized
Media type application/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "You don't have permission to perform that action"}Not found
Media type application/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "Not Found"}Too many requests
Media type application/json
Service unavailable
Media type application/json